### A free/open-source library for quantitative finance

Classes | Public Member Functions
CdsOption Class Reference

CDS option. More...

`#include <ql/experimental/credit/cdsoption.hpp>`

Inheritance diagram for CdsOption:
[legend]

List of all members.

## Classes

class | arguments
| Arguments for CDS-option calculation More...
class | engine
| base class for swaption engines More...
class | results
| Results from CDS-option calculation More...

## Public Member Functions

| CdsOption (const boost::shared_ptr< CreditDefaultSwap > &swap, const boost::shared_ptr< Exercise > &exercise, bool knocksOut=true)
Instrument interface
bool | isExpired () const
| returns whether the instrument might have value greater than zero.
void | setupArguments (PricingEngine::arguments *) const
Inspectors
const boost::shared_ptr < CreditDefaultSwap > & | underlyingSwap () const
Calculations
Rate | atmRate () const
Real | riskyAnnuity () const
Volatility | impliedVolatility (Real price, const Handle< YieldTermStructure > &termStructure, const Handle< DefaultProbabilityTermStructure > &, Real recoveryRate, Real accuracy=1.e-4, Size maxEvaluations=100, Volatility minVol=1.0e-7, Volatility maxVol=4.0) const

## Detailed Description

CDS option.

The side of the swaption is set by choosing the side of the CDS. A receiver CDS option is a right to buy an underlying CDS selling protection and receiving a coupon. A payer CDS option is a right to buy an underlying CDS buying protection and paying coupon.

## Member Function Documentation

void setupArguments | ( | PricingEngine::arguments * |  | ) | const`[virtual]`

When a derived argument structure is defined for an instrument, this method should be overridden to fill it. This is mandatory in case a pricing engine is used.

Reimplemented from Option.